org.opencv.ximgproc

## Class DisparityFilter

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.DisparityFilter

- Direct Known Subclasses:
    DisparityWLSFilter

      public class DisparityFilter
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DisparityFilter(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DisparityFilter` | `__fromPtr__(long addr)`
    `void` | `filter(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map)`
    `void` | `filter(Mat disparity_map_left, Mat left_view, Mat filtered_disparity_map, Mat disparity_map_right, Rect ROI, Mat right_view)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisparityFilter

          protected DisparityFilter(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DisparityFilter __fromPtr__(long addr)

    - #### filter

          public void filter(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map,
                             Mat disparity_map_right,
                             Rect ROI,
                             Mat right_view)

    - #### filter

          public void filter(Mat disparity_map_left,
                             Mat left_view,
                             Mat filtered_disparity_map)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1